{
  "pages": [
    {
      "path": "pages/index",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "工作台",
        "app-plus": {
          "bounce": "none",
          "titleNView": false
        }
      }
    },
    {
      "path": "pages/login",
      "style": {
        "navigationBarTitleText": "登录",
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black" // 仅支持 black/white
      }
    },
    {
      "path": "pages/register",
      "style": {
        "navigationBarTitleText": "注册",
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black" // 仅支持 black/white
      }
    },
    {
      "path": "pages/serveConfigSelect",
      "style": {
        "navigationBarTitleText": "服务器配置",
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black" // 仅支持 black/white
      }
    },
    {
      "path": "pages/serveConfig",
      "style": {
        "navigationBarTitleText": "服务器配置",
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black" // 仅支持 black/white
      }
    },
    {
      "path": "pages/info",
      "style": {
        "navigationBarTitleText": "消息",
        "navigationStyle": "custom",
        "enablePullDownRefresh": false,
        "app-plus": {
          "bounce": "none",
          "titleNView": false
        }
      }
    },
    {
      "path": "pages/mine",
      "style": {
        // "disableScroll": true,
        "navigationBarTitleText": "我的",
        "navigationStyle": "custom",
        "app-plus": {
          "bounce": "none",
          "titleNView": false
        }
      }
    }
  ],
  "subPackages": [
    // 公共
    {
      "root": "pages/common",
      "pages": [
        {
          "path": "webview/index",
          "style": {
            "navigationBarTitleText": "浏览网页"
          }
        },
        {
          "path": "textview/index",
          "style": {
            "navigationBarTitleText": "浏览文本"
          }
        },
        {
          "path": "square/index",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "invoicing/index",
          "style": {
            "navigationBarTitleText": "续费提醒",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "phoneVerify/index",
          "style": {
            "navigationBarTitleText": "",
            "navigationBarTextStyle": "black",
            "navigationBarBackgroundColor": "#FFFFFF"
          }
        },
        {
          "path": "success/index",
          "style": {
            "navigationBarTitleText": "提交成功",
            "navigationStyle": "custom",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "appMessage/index",
          "style": {
            "navigationBarTitleText": "消息列表",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "appMessage/details",
          "style": {
            "navigationBarTitleText": "消息详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "alarmMessage/index",
          "style": {
            "navigationBarTitleText": "告警通知",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "evaluate/index",
          "style": {
            "navigationBarTitleText": "服务评价",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "nfc/index",
          "style": {
            "navigationBarTitleText": "NFC读取",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "searchSelect/index",
          "style": {
            "navigationBarTitleText": "搜索",
            "navigationStyle": "custom",
            "enablePullDownRefresh": false,
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        }
      ]
    },
    // 我的
    {
      "root": "pages/mine",
      "pages": [
        {
          "path": "info/index",
          "style": {
            "navigationBarTitleText": "我的信息"
          }
        },
        {
          "path": "msg/index",
          "style": {
            "navigationBarTitleText": "消息设置"
          }
        },
        {
          "path": "secure/index",
          "style": {
            "navigationBarTitleText": "账号与安全"
          }
        },
        {
          "path": "secure/loginLog/index",
          "style": {
            "navigationBarTitleText": "登录日志",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "secure/fingerprint/index",
          "style": {
            "navigationBarTitleText": "",
            "navigationBarTextStyle": "black",
            "navigationBarBackgroundColor": "#FFFFFF"
          }
        },
        {
          "path": "avatar/index",
          "style": {
            "navigationBarTitleText": "修改头像"
          }
        },
        {
          "path": "help/index",
          "style": {
            "navigationBarTitleText": "常见问题",
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "about/index",
          "style": {
            "navigationBarTitleText": "关于我们",
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "setting/index",
          "style": {
            "navigationBarTitleText": "设置",
            "enablePullDownRefresh": false
          }
        }
      ]
    },
    // 消息
    {
      "root": "pages/info",
      "pages": []
    },
    // 智慧安防
    {
      "root": "pages/business/zhaf/",
      "pages": [
        //巡检模块 开始
        {
          "path": "xunJian/xunJian",
          "style": {
            "navigationBarTitleText": "巡检",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/plan/index",
          "style": {
            "navigationBarTitleText": "巡检计划",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/plan/components/siteDetails",
          "style": {
            "navigationBarTitleText": "站点详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/plan/components/content",
          "style": {
            "navigationBarTitleText": "巡检内容",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/plan/components/report",
          "style": {
            "navigationBarTitleText": "巡检上报",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/record/index",
          "style": {
            "navigationBarTitleText": "巡检记录",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/record/recordDetail/index",
          "style": {
            "navigationBarTitleText": "巡检记录详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/collect/index",
          "style": {
            "navigationBarTitleText": "点位采集",
            "navigationStyle": "custom",
            "enablePullDownRefresh": false,
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "xunJian/collect/components/collectDetail",
          "style": {
            "navigationBarTitleText": "采集上报",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/collect/components/collectRecord",
          "style": {
            "navigationBarTitleText": "采集记录",
            "navigationStyle": "custom",
            "enablePullDownRefresh": false,
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "xunJian/error/index",
          "style": {
            "navigationBarTitleText": "异常上报",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/error/errorList",
          "style": {
            "navigationBarTitleText": "异常列表",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/error/errorListDetail",
          "style": {
            "navigationBarTitleText": "事件详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "xunJian/error/errorDisposition",
          "style": {
            "navigationBarTitleText": "处置内容",
            "enablePullDownRefresh": false
          }
        },
        //巡检模块 结束
        //人员签到 开始
        {
          "path": "signIn/index",
          "style": {
            "navigationBarTitleText": "人员签到",
            "enablePullDownRefresh": false
          }
        }
        //人员签到 签退
      ]
    },
    // 闵行消防
    {
      "root": "pages/business/mhxf/",
      "pages": [
        {
          "path": "informationSelect/index",
          "style": {
            "navigationBarTitleText": "信息查询",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "deviceManage/index",
          "style": {
            "navigationBarTitleText": "设备管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "coordination/index",
          "style": {
            "navigationBarTitleText": "协同作战地图",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "unitInfoCollection/index",
          "style": {
            "navigationBarTitleText": "单位信息采集",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireReport/index",
          "style": {
            "navigationBarTitleText": "消防报告",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireReport/components/detailed",
          "style": {
            "navigationBarTitleText": "消防报告",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireReport/components/detailedPath",
          "style": {
            "navigationBarTitleText": "消防报告",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "needMatter/index",
          "style": {
            "navigationBarTitleText": "待办事项",
            "enablePullDownRefresh": false
          }
        }
      ]
    },
    // 智慧消防
    {
      "root": "pages/business/zhxf/",
      "pages": [
        {
          "path": "messagePush/index",
          "style": {
            "navigationBarTitleText": "消息推送设置",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "building/index",
          "style": {
            "navigationBarTitleText": "建筑管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireInspect/index",
          "style": {
            "navigationBarTitleText": "消防督察单",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireInspect/inspectDetailsList/index",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "fireInspect/inspectDetails/index",
          "style": {
            "navigationBarTitleText": "消防督察单处理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "funReport/index",
          "style": {
            "navigationBarTitleText": "功能报备",
            "enablePullDownRefresh": false,
            "onReachBottomDistance": 100 //距离底部多远时触发 单位px
          }
        },
        {
          "path": "funReport/funcAdd/index",
          "style": {
            "navigationBarTitleText": "功能报备新增",
            "enablePullDownRefresh": false
          }
        }
      ]
    },
    // 消防物联网
    {
      "root": "pages/business/fireIot/",
      "pages": [
        {
          "path": "deviceManage/index",
          "style": {
            "navigationBarTitleText": "设备管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "deviceManage/components/deviceDetailsList",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "deviceManage/components/deviceDetails",
          "style": {
            "navigationBarTitleText": "设备详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesGather/index",
          "style": {
            "navigationBarTitleText": "设施采集",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesGather/mapGather",
          "style": {
            "navigationBarTitleText": "地图采集",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesManage/index",
          "style": {
            "navigationBarTitleText": "设施管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesManage/mapFacilitiesView",
          "style": {
            "navigationBarTitleText": "设施查看",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesManage/facilitiesDetailsList",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "facilitiesManage/facilitiesDetails",
          "style": {
            "navigationBarTitleText": "设施详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "alarmManage/index",
          "style": {
            "navigationBarTitleText": "告警管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "alarmManage/alarmDetailsList/index",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "alarmManage/alarmDetails/index",
          "style": {
            "navigationBarTitleText": "告警处理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "repairManage/repairDetailsList",
          "style": {
            "navigationBarTitleText": "报修列表",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "repairManage/repairDetails",
          "style": {
            "navigationBarTitleText": "报修处理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "customManage/index",
          "style": {
            "navigationBarTitleText": "客户管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "repairReport/index",
          "style": {
            "navigationBarTitleText": "报修申请",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "repairReport/record",
          "style": {
            "navigationBarTitleText": "报修历史",
            "enablePullDownRefresh": false
          }
        }
      ]
    },
    // 业务公共模块
    {
      "root": "pages/business/common/",
      "pages": [
        {
          "path": "fastMail/index",
          "style": {
            "navigationBarTitleText": "我的快递",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "videoMonitor/videoList",
          "style": {
            "navigationBarTitleText": "视频监测列表",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "videoMonitor/videoDetail",
          "style": {
            "navigationBarTitleText": "实时监控",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "projectMange/record/index",
          "style": {
            "navigationBarTitleText": "工作报告",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/record/details",
          "style": {
            "navigationBarTitleText": "报告详情",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/overview/index",
          "style": {
            "navigationBarTitleText": "项目概览",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/record/timingLog",
          "style": {
            "navigationBarTitleText": "定时日志",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/write/index",
          "style": {
            "navigationBarTitleText": "报告填写",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/write/insert",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/list/index",
          "style": {
            "navigationBarTitleText": "项目列表",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/list/addEdit",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        },
        {
          "path": "projectMange/mall/index",
          "style": {
            "navigationBarTitleText": "选择接收人",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom",
            "app-plus": {
              "bounce": "none",
              "titleNView": false
            }
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "white",
    "navigationBarTitleText": "uni-app",
    // "navigationBarBackgroundColor": "#000000",
    "backgroundColor": "#F8F8F8"
  },
  "tabBar": {
    "fontSize": "12px",
    "color": "#a9a9a9",
    "selectedColor": "#000000",
    "borderStyle": "white",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/index",
        "iconPath": "/static/images/tabBar/tab-home.png",
        "selectedIconPath": "/static/images/tabBar/tab-home-blue.png",
        "text": "工作台",
        "visible": false
      },
      {
        "pagePath": "pages/info",
        "iconPath": "/static/images/tabBar/tab-info.png",
        "selectedIconPath": "/static/images/tabBar/tab-info-blue.png",
        "text": "消息",
        "visible": false
      },
      {
        "pagePath": "pages/mine",
        "iconPath": "/static/images/tabBar/tab-my.png",
        "selectedIconPath": "/static/images/tabBar/tab-my-blue.png",
        "text": "我的",
        "visible": false
      }
    ]
  },
  "condition": {
    //模式配置，仅开发期间生效
    "current": 0, //当前激活的模式(list 的索引项)
    "list": [
      {
        "name": "", //模式名称
        "path": "pages/login", //启动页面，必选
        "query": "" //启动参数，在页面的onLoad函数里面得到
      }
    ]
  }
}